=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  ghostscript (>= 9.02~),
  poppler-utils,
  liblcms2-dev,
- libpoppler-dev (>= 0.16.0),
+ libpoppler-private-dev (>= 0.16.0),
  libjpeg-dev,
  libpng12-dev,
  libtiff4-dev,
