=== debian/rules ===
--- 
+++ 
@@ -45,32 +45,14 @@
 	[ ! -f Makedefs ] || make distclean
 
 binary-post-install/cups-filters::
-	# Install Apport hook on Ubuntu
+	# Ubuntu-specific stuff
+	#  - Install Apport hook
+	#  - Replace standard test page template by Ubuntu-branded one
 	if dpkg-vendor --is ubuntu; then \
 	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups-filters.py; \
+	   install -D -m 644 debian/local/default-testpage.pdf debian/$(cdbs_curpkg)/usr/share/cups/data/default-testpage.pdf; \
 	fi
-
-	# Modify the cost factor for the Poppler-based pdftoraster filter of
-	# the PDF filter add-on so that Ghostscript's gstoraster gets preferred.
-	# (This will get merged upstream in 1.0b2)
-	sed -i -r -e '/\spdftoraster$$/ { s/66/100/ }' \
-	  $(DEB_DESTDIR)/../cups-filters/usr/share/cups/mime/cupsfilters.convs
-
-	# Install documentation of the PDF CUPS filters
-	# (This will get merged upstream in 1.0b2)
-	mkdir -p $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/
-	install -m 644 debian/local/README.pdf-filters $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/
-	#install -m 644 filter/test.sh $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/texttopdf-text.sh
-	install -m 644 ppd/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd $(DEB_DESTDIR)/../cups-filters/usr/share/doc/cups-filters/examples/
 
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial
-
-binary-post-install/libcupsfilters-dev::
-	mkdir -p debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	install -m 644 cupsfilters/driver.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	install -m 644 cupsfilters/image.h debian/$(cdbs_curpkg)/usr/include/cups-filters/
-	mkdir -p debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
-	cp -d cupsfilters/libcupsfilters.so debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
-	install -m 644 cupsfilters/libcupsfilters.a debian/$(cdbs_curpkg)/usr/lib/$(DEB_HOST_MULTIARCH)/
