=== debian/changelog ===
cups-filters (1.0.5-1) unstable; urgency=low

  * New upstream release
    - cups-filters 1.0.5 release
    - pdftops: Added insertion of workaround PostScript code for printers
      with bugs in their PS interpreters (LP: #950713, LP: #951627).
    - parallel backend: Break infinite loop (LP: #936647).
    - texttopdf: Complete the implementation of fontconfig-based font
      selection (Closes: #663070).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Mar 2012 11:43:22 +0100

cups-filters (1.0.4-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
    - cups-filters 1.0.4 release
    - texttopdf: Fall back to altermative fonts via fontconfig if the
      FreeMono TrueType fonts are not installed (Closes: #495598,
      Closes: #662660).
    - bannertopdf: Fix off-by-one error in page duplication
    - bannertopdf: Put indirect references to streams into the page's
      contents
    - bannertopdf: Let byte offsets for the Xref table of the PDF output
      being determined correctly also when the output goes to stdout
      (LP: #939735).
    - bannertopdf: Output multiple copies of the test page if duplex
      and/or N-up is chosen, to let the test page appear on all possible
      positions of the sheet (LP: #939530).
    - bannertopdf: Scale test page template to fit the job's page size,
      get and display full page geometry information, draw the frame which
      marks the printable area 1pt smaller, to assure that it gets completely
      visible (LP: #921073).
  * debian/local/default-testpage.pdf: Added missing "Q" operator to the end of
    the page. This broke N-up printing with pdftopdf (LP: #939530).
  * debian/control: Added explicit build dependency on libfontconfig1-dev.
    (Closes: #661127)
  * debian/control: Changed font dependency (for texttopdf) to "ttf-freefont |
    fonts-liberation | ttf-dejavu" instead of only "ttf-freefont"
    (Closes: #495598, Closes: #662660).

  [ Martin Pitt ]
  * debian/control: Build against libpng-dev, with an alternative to the older
    libpng12-dev. (Closes: #662295)
  * debian/control: Prefer building against libtiff5-dev if available, falling  
    back to libtiff-dev.
  * debian/control, debian/rules: Move from hardening-wrapper to using
    dpkg-buildflags. Bump dpkg-dev build dependency to (>= 1.16.1~) for this.
  * debian/copyright: Update Format header for official copyright format 1.0.
  * debian/control: Bump Standards-Version to 3.9.3.
  * debian/rules: Drop LC_MESSAGES setting, leftover from cups.
  * debian/control: Bump libcupsimage2-dev build dependency to ensure to build
    against a version which does not conflict on the libtiff?-dev build
    dependency.

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Mar 2012 14:36:49 +0100
