## cups-filters 1.0.7

=== filter/Makefile ===
--- 
+++ 
@@ -82,6 +82,7 @@
 		textonly
 
 PPDFILES =	\
+		HP-Color_LaserJet_CM3530_MFP-PDF.ppd \
 		HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd \
 		textonly.ppd
 
@@ -101,6 +102,7 @@
 #
 
 clean:
+	$(MAKE) -C fontembed $@
 	$(RM) $(OBJS) $(TARGETS)
 	$(RM) */*.d
 	$(RM) */*.o
@@ -325,6 +327,7 @@
 #
 
 fontembed/libfontembed.a:
+	echo Building $@...
 	$(MAKE) -C fontembed
 
 texttopdf:	texttopdf.o textcommon.o common.o pdfutils.o fontembed/libfontembed.a
