=== debian/changelog ===
cups-filters (1.0.7-1) unstable; urgency=low

  * New upstream release
     - cups-filters 1.0.7 release
     - pdftops: Added debug mode for investigating PostScript printer
       incompatibilities and interpreter bugs. Now sending a job with
       "lpr -o psdebug" makes the filter sending uncompressed PostScript.
     - pdftops: Additional workaround for a bug in the PostsSript interpreters
       of Brother printers, calling Ghostscript with special command line
       options (LP: #955553).
     - pdftopdf: Correct handling of PJL output and page_log messages on
       native PDF printers and on printers using a driver after pdftopdf
       (including PostScript printers).
     - texttopdf: Full fontconfig support, several bug fixes and improvements
       to make the output work on more different PDF interpreters, including
       built-in interpreters in printers.
     - Fixed cupsfilters.drv PPD generator and rastertopclx filter to make the
       supported HP DesignJet printers actually work.
     - parallel backend: Use same method as CUPS to overcome infinite loop
       on side channel errors (LP: #936647, CUPS STR #4044).
     - "make clean" and "make distclesn" work also correctly now when called
       repeatedly (Closes: #663564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Mar 2012 09:18:55 +0100
