## cups-filters 1.0.17

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,9 @@
 		echo Making all in $$dir... ;\
 		(cd $$dir ; $(MAKE) $(MFLAGS) all) || exit 1;\
 	done
+
+Makedefs:
+	$(CURDIR)/configure
 
 
 #
