=== debian/changelog ===
cups-filters (1.0.17-0bzr0.1) precise-proposed; urgency=low

  * New upstream release
     - pdftopdf: Fixed segmentation fault when printing selected pages
       ("page-ranges" option, LP: #980673).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 20 Apr 2012 14:39:03 +0200

cups-filters (1.0.16-0bzr1) precise; urgency=low

  * New upstream release
     - pdftopdf: Fixed segmentation faults when using N-up with certain PDF
       files (LP: #980673) and when calling pdftopdf manually without
       specifyting a PPD file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 16 Apr 2012 11:51:11 +0200

cups-filters (1.0.15-0bzr1) precise; urgency=low

  * New upstream release
     - pdftops: Suppress image compression only for Brother printers as they
       really need this measure to print at all. This accelerates printer-
       internal job processing on most other printers (tested on HP and
       Kyocera). Also suppress page compression on Kyocera printers, this
       works around a bug in Kyocera's PostScript interpreters which makes
       printing pages with images very slow (LP: #977912).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Apr 2012 22:40:11 +0200

cups-filters (1.0.14-0bzr1) precise; urgency=low

  * New upstream release
     - pdftops: Determine printing resolution from the PPD file and supply
       it on the Ghostscript or pdftops (Poppler) command line, so that
       the renderer does the image rendering with a resolution matching the
       printer's resolution. This avoids too slow processing of the jobs
       by the printer's built-in PostScript interpreter. In addition
       a default resolution of 300 dpi is used for PPDs without any hint
       of the printer's resolution, as most PostScript lasers use multiples
       of 300 dpi as resolution (LP: #977912).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Apr 2012 19:40:11 +0200

cups-filters (1.0.13-1) unstable; urgency=low

  * New upstream release
     - Fixed display of job date on test page and banner pages (LP: #975064).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Apr 2012 07:40:11 +0200

cups-filters (1.0.12-1) unstable; urgency=low

  * New upstream release
     - Fixed crash of imagetopdf filter when it is called manually
       without supplying a valid PPD file (LP: #973564).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 05 Apr 2012 13:35:24 +0200

cups-filters (1.0.11-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - Updated all code copied from Poppler to the current state of Poppler,
       to fix any bugs or security vulnerabilities which were in that
       Poppler code.
     - Made Poppler-based PDF filters building with various versions of
       Poppler.
     - Deactivated MIME conversion rules which are not used by the PDF-
       based printing workflow.
     - Added generic PPD for native PDF printers.
     - Cleaned up sample PPD file HP-Color_LaserJet_CM3530_MFP-PDF.ppd.
     - imagetopdf: Added support for native PDF printers.
     - imagetopdf, imagetoraster: Let image input "scale to fit"
       by default. This makes photo printing via AirPrint work,
       as the iOS devices send JPEG but do not allow setting options.
     - pdftops: Generally do not compress fonts and images, and
       also do not do CCITT compression for bitmap glyphs to make
       the PostScript output more compatible with buggy PostScript
       interpreters. The output gets 30-50% longer but will work on
       many more different printer models. Problems were also
       discovered on HP and not only on Brother (LP: #960666).

  [ Martin Pitt ]
  * Drop debian/patches/poppler-pre-0.18.patch and patch machinery around it.
    It's not necessary with the current upstream version any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 30 Mar 2012 08:49:48 +0200
