=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  cdbs (>= 0.4.93~),
  debhelper (>= 9~),
  dpkg-dev (>= 1.16.1~),
- patch,
  pkg-config,
  sharutils,
  ghostscript (>= 9.02~),
